NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.BridgeCurveBuilderEx Class Reference

Represents a NXOpen.Features.BridgeCurve builder. More...

Inheritance diagram for NXOpen.Features.BridgeCurveBuilderEx:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  EndObjectTypes { Section, Object, Datum, Vector }
 End object type More...
 
enum  RadiusConstraintMethods { None, Minimum, Peak }
 Radius constraint methods More...
 
enum  ShapeControlMethods { TangentMagnitude, DepthSkew, Conic, TemplateCurve }
 Shape control methods More...
 
enum  StartObjectTypes { Section, Object }
 Start object type More...
 

Public Member Functions

unsafe void Evaluate ()
 Evaluates the curve More...
 
unsafe void UpdateOnEndVectorReversal ()
 Updates the builder based on end vector sense More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.ScCollector ConstraintFaces [get]
 Returns the constraint faces More...
 
unsafe NXOpen.Expression ConstraintRadius [get]
 Returns the constraint radius More...
 
unsafe
NXOpen.GeometricUtilities.CurveFitData 
CurveFitData [get]
 Returns the curve fitting parameters More...
 
unsafe
NXOpen.GeometricUtilities.DepthSkewBuilder 
DepthSkew [get]
 Returns the depth skew More...
 
unsafe
NXOpen.GeometricUtilities.BridgeCurveConnectivity 
EndConnectivity [get]
 Returns the data representing connectivity information at end More...
 
unsafe NXOpen.SelectNXObject EndObject [get]
 Returns the end object More...
 
unsafe
NXOpen.Features.BridgeCurveBuilderEx.EndObjectTypes 
EndObjectType [get, set]
 Returns or sets the end object type More...
 
unsafe NXOpen.Section EndSection [get]
 Returns the end section More...
 
unsafe NXOpen.Direction EndVector [get, set]
 Returns or sets the end vector representing a plane for symmetric modeling More...
 
unsafe bool IsAssociative [get, set]
 Returns or sets the flag indicating if a feature should be created More...
 
unsafe
NXOpen.Features.BridgeCurveBuilderEx.RadiusConstraintMethods 
RadiusConstraintMethod [get, set]
 Returns or sets the radius constraint method More...
 
unsafe NXOpen.Expression Rho [get]
 Returns the rho value More...
 
unsafe
NXOpen.Features.BridgeCurveBuilderEx.ShapeControlMethods 
ShapeControlMethod [get, set]
 Returns or sets the shape control method More...
 
unsafe
NXOpen.GeometricUtilities.BridgeCurveConnectivity 
StartConnectivity [get]
 Returns the data representing connectivity information at start More...
 
unsafe NXOpen.SelectNXObject StartObject [get]
 Returns the start object More...
 
unsafe
NXOpen.Features.BridgeCurveBuilderEx.StartObjectTypes 
StartObjectType [get, set]
 Returns or sets the start object type More...
 
unsafe NXOpen.Section StartSection [get]
 Returns the start section More...
 
unsafe
NXOpen.GeometricUtilities.TangentMagnitudeBuilder 
TangentMagnitude [get]
 Returns the tangent magnitude More...
 
unsafe NXOpen.SelectCurve TemplateCurve [get]
 Returns the template curve More...
 
unsafe bool UseNearestPointOnSection [get, set]
 Returns or sets the flag indicating if the nearest cursor position on the section is to be used to locate start or end of the curve More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.BridgeCurve builder.

Use NXOpen.Features.BridgeCurveBuilderEx to create, shape and constrain bridges curves between curves, points, surfaces or surface edges. The builder can also create symmetric bridge curves across a datum plane, datum axis or a vector representing a plane. For more details see the NX documentation for Bridge Curves.

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateBridgeCurveBuilderEx

Default values.

Property Value

ConstraintRadius.Value

1.0 (millimeters part), 0.0625 (inches part)

CurveFitData.CurveJoinMethod

No

CurveFitData.Degree

7

CurveFitData.FitMethod

DegreeAndSegments

CurveFitData.IsAdvancedFit

0

CurveFitData.IsAlignShape

0

CurveFitData.MaximumDegree

7

CurveFitData.MaximumSegments

1

CurveFitData.MinimumDegree

5

CurveFitData.Segments

1

EndConnectivity.Continuity.ContinuityType

G1

Rho.Value

0.5

Created in NX8.5.0

Member Enumeration Documentation

End object type

Enumerator
Section 

Section

Object 

A point or face

Datum 

A datum plane or axis for symmetric constraint

Vector 

A vector representing a plane for symmetric constraint

Radius constraint methods

Enumerator
None 

No constraint

Minimum 

Minimum radius

Peak 

Peak radius

Shape control methods

Enumerator
TangentMagnitude 

Shape using tangent magnitude at ends

DepthSkew 

Shape using depth and skew value

Conic 

Shape using rho value of a conic.

Valid only when end sections are coplanar.

TemplateCurve 

Shape by a template curve

Start object type

Enumerator
Section 

Section

Object 

A point or face

Member Function Documentation

unsafe void NXOpen.Features.BridgeCurveBuilderEx.Evaluate ( )
inline

Evaluates the curve

Created in NX8.5.0

License requirements: features_modeling ("FEATURES MODELING")

unsafe void NXOpen.Features.BridgeCurveBuilderEx.UpdateOnEndVectorReversal ( )
inline

Updates the builder based on end vector sense

Created in NX8.5.0

License requirements: solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling")

Property Documentation

unsafe NXOpen.ScCollector NXOpen.Features.BridgeCurveBuilderEx.ConstraintFaces
get

Returns the constraint faces

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.BridgeCurveBuilderEx.ConstraintRadius
get

Returns the constraint radius

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.CurveFitData NXOpen.Features.BridgeCurveBuilderEx.CurveFitData
get

Returns the curve fitting parameters

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.DepthSkewBuilder NXOpen.Features.BridgeCurveBuilderEx.DepthSkew
get

Returns the depth skew

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.BridgeCurveConnectivity NXOpen.Features.BridgeCurveBuilderEx.EndConnectivity
get

Returns the data representing connectivity information at end

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.SelectNXObject NXOpen.Features.BridgeCurveBuilderEx.EndObject
get

Returns the end object

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Features.BridgeCurveBuilderEx.EndObjectTypes NXOpen.Features.BridgeCurveBuilderEx.EndObjectType
getset

Returns or sets the end object type

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.Section NXOpen.Features.BridgeCurveBuilderEx.EndSection
get

Returns the end section

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Direction NXOpen.Features.BridgeCurveBuilderEx.EndVector
getset

Returns or sets the end vector representing a plane for symmetric modeling

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling")

unsafe bool NXOpen.Features.BridgeCurveBuilderEx.IsAssociative
getset

Returns or sets the flag indicating if a feature should be created

Created in NX8.5.0

License requirements to get this property: features_modeling ("FEATURES MODELING")

License requirements to set this property: features_modeling ("FEATURES MODELING")

unsafe NXOpen.Features.BridgeCurveBuilderEx.RadiusConstraintMethods NXOpen.Features.BridgeCurveBuilderEx.RadiusConstraintMethod
getset

Returns or sets the radius constraint method

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.Expression NXOpen.Features.BridgeCurveBuilderEx.Rho
get

Returns the rho value

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Features.BridgeCurveBuilderEx.ShapeControlMethods NXOpen.Features.BridgeCurveBuilderEx.ShapeControlMethod
getset

Returns or sets the shape control method

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.GeometricUtilities.BridgeCurveConnectivity NXOpen.Features.BridgeCurveBuilderEx.StartConnectivity
get

Returns the data representing connectivity information at start

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.SelectNXObject NXOpen.Features.BridgeCurveBuilderEx.StartObject
get

Returns the start object

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Features.BridgeCurveBuilderEx.StartObjectTypes NXOpen.Features.BridgeCurveBuilderEx.StartObjectType
getset

Returns or sets the start object type

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.Section NXOpen.Features.BridgeCurveBuilderEx.StartSection
get

Returns the start section

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.TangentMagnitudeBuilder NXOpen.Features.BridgeCurveBuilderEx.TangentMagnitude
get

Returns the tangent magnitude

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.SelectCurve NXOpen.Features.BridgeCurveBuilderEx.TemplateCurve
get

Returns the template curve

Created in NX8.5.0

License requirements: None.

unsafe bool NXOpen.Features.BridgeCurveBuilderEx.UseNearestPointOnSection
getset

Returns or sets the flag indicating if the nearest cursor position on the section is to be used to locate start or end of the curve

Created in NX9.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING")

License requirements to set this property: features_modeling ("FEATURES MODELING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.